rte_compressdev_config(3)

NAME
rte_compressdev_config

SYNOPSIS

#include <rte_compressdev.h>

  Data Fields

int socket_id
uint16_t nb_queue_pairs
uint16_t max_nb_priv_xforms
uint16_t max_nb_streams

Detailed Description

Compress device configuration structure

Definition at line 185 of file rte_compressdev.h.

Field Documentation

  int socket_id
Socket on which to allocate resources

Definition at line 186 of file rte_compressdev.h.

  uint16_t nb_queue_pairs
Total number of queue pairs to configure on a device

Definition at line 188 of file rte_compressdev.h.

  uint16_t max_nb_priv_xforms
Max number of private_xforms which will be created on the device

Definition at line 190 of file rte_compressdev.h.

  uint16_t max_nb_streams
Max number of streams which will be created on the device

Definition at line 192 of file rte_compressdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.